oneko(6)

Name
oneko — a cute cat chasing around your mouse cursor

Synopsis
oneko [-help] [-tora] [-dog] [-bsd_daemon] [-bsd] [-sakura] [-tomoyo] [-time n] [-speed n] [-idle n] [-name name] [-towindow] [-toname name] [-tofocus] [-position geometry] [-rv] [-noshape] [-fg] [-bg]

Description
oneko changes your mouse cursor into a mouse and creates a little cute cat which starts chasing your mouse cursor. If the cat catches up the cursor, it starts sleeping.

  Options

-help
    Prints help message on usage.

-tora
    Make cat into "tora-neko". "Tora-neko" means cat with tiger-like stripe. I don't know how to say it in English.

-dog
    Runs a dog instead of a cat.

-bsd, -bsd_daemon
    Runs a 4.3BSD daemon instead of a cat.

-sakura
    Runs Sakura Kinomoto instead of a cat.

-tomoyo
    Runs Tomoyo Daidouji instead of a cat.

-time interval
    Sets interval timer which determine intervals for cat animation. Default value is 125000 and unit is micro-second. Smaller value makes cat run faster.

-speed distance
    Specify the distance where the cat jumps at one move in dot resolution. The default is 16.

-idle speed
    Specify the speed threshold to wake cat up when mouse is running away.

-name name
    Specify the window name of the cat.

-towindow
    When oneko starts with this option, you must select a window by the cursor. Then cat appears and starts chasing the window instead of a mouse. You can select another running oneko as the target window. If root window is selected, cat chases mouse as usually. When the target window is not in sight and not closed, cat chases mouse as usually. If the target window is closed, this program exits.

-toname name
    Specify the window name of the target to make cat chase it instead of a mouse. You can specify another running oneko as the target window. When the target window is not in sight and not closed, cat chases mouse as usually. If the target window is closed, this program exits.

-tofocus
    Makes cat run to and on top of focus window. When focus window is not in sight, cat chases mouse as usually.

-position geometry
    Specify X and Y offsets in pixels to adjust the position of cat relative to a mouse pointer.

-rv Reverse background color and foreground color.

-noshape
    Don't use SHAPE extension.

-fg color
    Foreground color.

-bg color
    Background color.

  Resources
The application name is "neko" (or "tora") and the class name is "Oneko".

tora
    Set ``True'' if you want "tora-neko".

time
    Sets interval timer in micro-second.

speed
    Sets distance to jump in pixels.

idle
    Sets speed threshold to wake cat up when mouse is running away.

noshape
    Set ``True'' if you don't want to use SHAPE extension.

reverse
    Set ``True'' if you want to switch foreground and background color.

foreground
    Foreground color.

background
    Background color.

Notes
While this program uses ``XGetDefault'', be sure to use "neko.resource" form. If you run this program as "tora", by hard or soft link, the -tora option is enabled by default.

BSD Daemon Copyright 1988 by Marshall Kirk McKusick. All Rights Reserved.

Sakura Kinomoto and Tomoyo Daidouji are characters in a comic strip "CARDCAPTOR SAKURA" (CLAMP, Kodansha), with the sanction indicated in CLAMP SCHOOL WEB CAMPUS <http://www.clamp.f-2.co.jp/>.

Authors
Original xneko was written by Masayuki Koba and modified to oneko by Tatsuya Kato, and modified furthermore by John Lerchey, Eric Anderson, Toshihiro Kanda and Kiichiroh Mukose <mailto:mukose@hbar.mp.es.osaka-u.ac.jp>.

Maintainer
Ivan Trubach <mailto:mr.trubach@icloud.com>